# Enum Class SyFontStyle

java.lang.Object
java.lang.Enum<SyFontStyle>
com.io7m.jsycamore.api.text.SyFontStyle

All Implemented Interfaces:
  `Serializable, Comparable<SyFontStyle>, Constable`

public enum SyFontStyle extends Enum<SyFontStyle>
The font style.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOLD`
  A bold font weight.
  `BOLD_ITALIC`
  An italicized, bold font.
  `ITALIC`
  An italicized font.
  `REGULAR`
  A regular font weight.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyFontStyle`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyFontStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REGULAR

    public static final SyFontStyle REGULAR
    A regular font weight.

  - ### BOLD

    public static final SyFontStyle BOLD
    A bold font weight.

  - ### ITALIC

    public static final SyFontStyle ITALIC
    An italicized font.

  - ### BOLD_ITALIC

    public static final SyFontStyle BOLD_ITALIC
    An italicized, bold font.

- ## Method Details

  - ### values

    public static SyFontStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyFontStyle valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null